
##
# getVSfromHScondData() - extract vertically stacked condition n from 
# horizontally stacked data frame hTbl where hTbl was 
# read with readHSfile().
# Args: hTbl is the horizontally stacked multi-class table
#       n is the condition to extract from hTbl and stack
# Value: vertically stacked data frame with (scn)
# If it is already vertically stacked, then just return hTbl.
##
getVSfromHScondData<- function(hTbl, n)
{ # getVSfromHScondData
  attach(hTbl)
  if(isVertStacked)
    return(scn=hTbl)
  p <- hData[allCondNames==condNames[n]]
  scn <- stack(p)
  detach()
  return(scn=scn)
} # end of getVSfromHScondData
