
##
# readVSfile(file) - read vertically stacked MAExplorer array
# expression data
# Args: file is the data file name
# Value: data frame with
#    (hData, sampleNames, condNames, allCondNames,
#     nConds, nGenes, isVertStacked)
##
readVSfile <- function(file)
{ # readVSfile
  vData <- read.table(file, header=TRUE)
  sampleNames <- factor(vData$sampleName)
  allCondNames <- factor(vData$condName)
  condNames <- unique(allCondNames)
  nConds <- length(allCondNames)
  nGenes <- sum(vData$sampleName==sampleNames[1])
  return(vData=vData,sampleNames=sampleNames,condNames=condNames,
         allCondNames=allCondNames,nConds=nConds,nGenes=nGenes,
         isVertStacked=TRUE)
} # end of readVSfile

