\name{readHSfile}
\alias{readHSfile}
\title{ A function read horizontally stacked MAExplorer array expression data}
\description{
    A function that read horizontally stacked MAExplorer array expression data
    using a two line header.
}
\usage{
readHSfile(data)
}

\arguments{
    \item{file}{The name of the data file containing expression data
     exported from MAExplorer}
}
\details{
    \code{readHSfile} Read horizontally stacked file of table data exported
     from MAExplorer. The gene id (MID) is the row label. The column names
     in the fields row are the sample names. The second row contains the
     condition names corresponding to the sample names. The expression data
     starts in the third row.
}

\value{
A list with components
  \item{hData}{horizontally stacked data frame of rows of genes with columns 
               of samples.} 
  \item{sampleNames}{Microarray sample names}
  \item{condNames}{unique condition names}
  \item{allCondNames}{condition names corresponding to samples}
  \item{nConds}{number of unique conditions}
  \item{nGenes}{number of rows of genes}
  \item{isVertStacked}{flag indicating the data frame is vertically stacked}
       }

\references{ }
 
\author{ Peter Lemkin and Shyam Sundaram }

\examples{
# Read the vertically stacked XY sets data file exported from MAExplorer
xySetTbl <- readHSfile("R-inputHP-XYsets.txt")

}
\keyword{ }

